
import 'dart:async';

import 'package:flutter/services.dart';

class CloudnaryFlutter {
  static const MethodChannel _channel = MethodChannel('cloudnary_flutter');

  /*static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }*/

  static Future<String?> uploadToCloudnary(
      String cloudName,
      String api,
      String apiSecret,
      String publicId,
      String notificationUrl,
      String path) async {
    return _channel.invokeMethod<String>('uploadToCloudnary', {
      'cloudName': cloudName,
      'api': api,
      'apiSecret': apiSecret,
      'publicId': publicId,
      'notificationUrl': notificationUrl,
      'path': path,
    });
  }
}
